SoapServer::__construct
SoapServer::getFunctions
SoapServer
PHP Manual

# SoapServer::fault

(PHP 5 >= 5.0.1)

SoapServer::fault — Issue SoapServer fault indicating an error

### Description

public void SoapServer::fault ( string `$code` , string `$string` [, string `$actor` [, string `$details` [, string `$name` ]]] )

Sends a response to the client of the current request indicating an error.

> Note:

> This can only be called when handling a request.

### Parameters

`code`

  The error code to return

`string`

  A brief description of the error

`actor`

  A string identifying the actor that caused the fault.

`details`

  More details of the fault

`name`

  The name of the fault. This can be used to select a name from a WSDL file.

### Return Values

No value is returned.

### See Also

- SoapFault::SoapFault() - SoapFault constructor

SoapServer::__construct
SoapServer::getFunctions
SoapServer
PHP Manual